function Z = initial_conditions_4cone(Z,NX,NY,i0,j0,r,h)

for i = 1:NX
    for j = 1:NY
        di = mod(i-i0+NX/2,NX)-NX/2; % difference i-i0 but apply p.b.c. 
        dj = mod(j-j0+NY/2,NY)-NY/2;
        dr = sqrt(di^2+dj^2);
        if (dr<r)
            Z(i,j) = h*(cos(dr/r*pi/4));
        end
    end
end




% Z = zeros(NX,NY);
% for i=1:4
%    Z = initial_conditions_add_hill(Z,NX,NY,rand()*NX,rand()*NY,rand()*NX,rand()*20);
% end
% for i=1:4
%    Z = initial_conditions_add_hill(Z,NX,NY,rand()*NX,rand()*NY,rand()*NX/5,rand()*50);
% end